Portfolio_Website/Models/ErrorViewModel.cs
using System;

namespace Portfolio_Website.Models
{
    public class ErrorViewModel
    {
        public string RequestId { get; set; }

        public bool ShowRequestId => !string.IsNullOrEmpty(RequestId);
    }
}

Portfolio_Website/Controllers/ContactController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

namespace Portfolio_Website.Controllers
{
    public class ContactController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }
    }
}

Portfolio_Website/Controllers/HomeController.cs
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using Portfolio_Website.Models;

namespace Portfolio_Website.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        public IActionResult Index()
        {
            return View();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }
    }
}

Portfolio_Website/Controllers/ProjectsController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

namespace Portfolio_Website.Controllers
{
    public class ProjectsController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }
    }
}

Portfolio_Website/Controllers/ResumeController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;

namespace Portfolio_Website.Controllers
{
    public class ResumeController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }
    }
}

Portfolio_Website/Views/Contact/Index.cshtml
@{
    ViewData["Title"] = "Contact";
}


<h1 class="display-4">Contact</h1>

Portfolio_Website/Views/Home/Index.cshtml
@{
    ViewData["Title"] = "Home";
}

<section id="titleCard">
    <h1>Tom Tintel</h1>
    <p>Full-stack software developer</p>
</section>

Portfolio_Website/Views/Projects/Index.cshtml
@{
    ViewData["Title"] = "Projects";
}

<h1 class="subtitle">Projects</h1>

Portfolio_Website/Views/Resume/Index.cshtml
@{
    ViewData["Title"] = "Resumè";
}


    <h1 class="display-4">Resumè</h1>

Portfolio_Website/Views/Shared/_Layout.cshtml
<!DOCTYPE html>
<html lang="en" style="">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Portfolio</title>
    <link href="https://fonts.googleapis.com/css?family=Quicksand&display=swap" rel="stylesheet">
    <script src="https://kit.fontawesome.com/15cc0c3336.js" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/particles.js@2.0.0/particles.min.js"></script>
    <link rel="stylesheet" href="~/css/style.css">                  
    <link rel="stylesheet" href="~/css/layout_portrait.css">
    <link rel="stylesheet" href="~/css/layout_landscape.css">
</head>


<body>
    <header>
        <h1> Portfolio </h1>
    </header>

    <nav>
        <ul>
            <li>
                <a asp-area="" asp-controller="Home" asp-action="Index"><i class="fal fa-home"></i>  Home</a>
            </li>
            <li>
                <a asp-area="" asp-controller="Projects" asp-action="Index"><i class="fal fa-project-diagram"></i> Projects</a>
            </li>
            <li>
                <a asp-area="" asp-controller="Resume" asp-action="Index"><i class="fal fa-file-user"></i>   Resumé</a>
            </li>
            <li>
                <a asp-area="" asp-controller="Contact" asp-action="Index"><i class="fal fa-address-card"></i> Contact</a>
            </li>
        </ul>
    </nav>

    <main>
        @RenderBody()
    </main>

    <footer>
        &copy; 2019-2020 Tom Tintel
    </footer>

    <!--
        I've got a secret I've been hiding under my skin
        My heart is human, my blood is boiling, my brain I.B.M.
        So if you see me acting strangely, don't be surprised
        I'm just a man who needed someone, and somewhere to hide

        To keep me alive, just keep me alive
        Somewhere to hide, to keep me alive

        I'm not a robot without emotions. I'm not what you see
        I've come to help you with your problems, so we can be free
        I'm not a hero, I'm not the savior, forget what you know
        I'm just a man whose circumstances went beyond his control

        Beyond my control. We all need control
        I need control. We all need control

            Styx - Mr. Roboto
    -->

    <div id="particles-js" />
    <script src="~/js/site.js" asp-append-version="true"></script>
    
    <script>
        particlesJS.load('particles-js', 'assets/particles.json');
    </script>
    @RenderSection("Scripts", required: false)
</body>
</html>